Web Analytics Content Autopilot
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
GET | |
PATCH | |
DELETE | |
POST |
List all web analytics content autopilot profiles
Required API key scopes
web_analytics:readQuery parameters
- limitinteger
- offsetinteger
Response
Example request
GET /api /projects /:project_id /web_analytics_content_autopilot_profilesExample response
Status 200
RESPONSE
Create web analytics content autopilot profiles
Required API key scopes
web_analytics:writeRequest parameters
- namestring
- domainstring
- source_urlsarray
- content_boundariesarray
- brand_rulesarray
- search_console_enabledboolean
Response
Example request
POST /api /projects /:project_id /web_analytics_content_autopilot_profilesExample response
Status 201
RESPONSE
Retrieve web analytics content autopilot profiles
Required API key scopes
web_analytics:readPath parameters
- idstring
Response
Example request
GET /api /projects /:project_id /web_analytics_content_autopilot_profiles /:idExample response
Status 200
RESPONSE
Update web analytics content autopilot profiles
Required API key scopes
web_analytics:writePath parameters
- idstring
Request parameters
- namestring
- domainstring
- source_urlsarray
- content_boundariesarray
- brand_rulesarray
- search_console_enabledboolean
Response
Example request
PATCH /api /projects /:project_id /web_analytics_content_autopilot_profiles /:idExample response
Status 200
RESPONSE
Delete web analytics content autopilot profiles
Required API key scopes
web_analytics:writePath parameters
- idstring
Example request
DELETE /api /projects /:project_id /web_analytics_content_autopilot_profiles /:idExample response
Status 204 No response body
Create web analytics content autopilot profiles
Inspects a public site for its canonical origin, name, and sitemap URLs.
Required API key scopes
web_analytics:writeRequest parameters
- domainstring
Response
Example request
POST /api /projects /:project_id /web_analytics_content_autopilot_profiles /discoverExample response
Status 200
RESPONSE











